#ifndef FORMGENERALSETTINGS_H
#define FORMGENERALSETTINGS_H

#include <QWidget>

#include "BaseWidget.h"

namespace Ui {
class FormGeneralSettings;
}

class FormGeneralSettings : public BaseWidget
{
    Q_OBJECT

public:
    explicit FormGeneralSettings(BaseWidget *parent = nullptr);
    ~FormGeneralSettings();

    bool returnParent();

private:
    void initCommandLinkButton();
    void setupConnections();

signals:
    void generalSettingClicked(const int& index);

private:
    Ui::FormGeneralSettings *ui;
};

#endif // FORMGENERALSETTINGS_H
